autofs-5.1.2 - fix invalid reference in remount_active_mount()

From: Ian Kent <raven@themaw.net>

remount_active_mount() can be called with the map entry pointer NULL
so it must be checked before use when getting the automount timeout.

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG    |    1 +
 lib/mounts.c |    6 ++++--
 2 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index 7700a20..b7c5a62 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -57,6 +57,7 @@ xx/xx/2016 autofs-5.1.3
 - use autofs_point to store expire timeout where possibe.
 - fix possible NULL derefernce.
 - fix work around sss startup delay.
+- fix invalid reference in remount_active_mount().
 
 15/06/2016 autofs-5.1.2
 =======================
diff --git a/lib/mounts.c b/lib/mounts.c
index 22d653e..76ff006 100644
--- a/lib/mounts.c
+++ b/lib/mounts.c
@@ -1728,8 +1728,10 @@ static int remount_active_mount(struct autofs_point *ap,
 	if (fd == -1)
 		return REMOUNT_OPEN_FAIL;
 
-	error(ap->logopt, "ap->type %d type %u", ap->type, type);
-	timeout = get_exp_timeout(ap, me->source);
+	if (!me)
+		timeout = get_exp_timeout(ap, NULL);
+	else
+		timeout = get_exp_timeout(ap, me->source);
 
 	/* Re-reading the map, set timeout and return */
 	if (ap->state == ST_READMAP) {
